#include <iostream>
#include <cstdio>
#include <string>
#include <vector>

#include "lmao_syntax.hpp"
#include "plugin.hpp"


int main (int argc, char* argv[]) {
    using namespace std;
    string plugin_file;
    vector<Plugin> plugins;
    while (true) {
        printf ("> ");
        getline (cin, plugin_file);
        if (plugin_file.empty ()) continue;
        if (plugin_file == "clear") {
            plugins.clear ();
            printf ("Cleared.\n");
            continue;
        }
        try {
            plugins.emplace_back (plugin_file);
            plugins.back ()(0, {});
        } catch (const std::exception& e) {
            std::cerr << e.what () << '\n';
        }
    }
}
