// demo shared object
#include <cstdio>

static int g = 0;

struct Data {
    int number;
};
extern "C" {
    void* plugin_init () {
        return new Data{ g++ };
    }

    int plugin_main (void* data, int argc, char** argv) {
        printf ("Hello from %s!\n", __FILE__);
        printf ("The data is %d!\n", ((Data*)data)->number);
        return 0;
    }

    int plugin_exit (void* data) {
        delete (Data*)data;
        return 0;
    }
}
